- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 51c13e77-81f2-4461-9e8c-2b0f71e3d315
    creation_time: 2023-02-17T13:36:28.689883Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/nested9.i
      input_file_hashes:
        c/loop-invgen/nested9.i: f3ca1fd1ad8fdbcd9efe7b99bc6e3715231417d253ce4ee9bba3d5969472333a
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/nested9.i
    file_hash: f3ca1fd1ad8fdbcd9efe7b99bc6e3715231417d253ce4ee9bba3d5969472333a
    line: 34
    column: 0
    function: main
  loop_invariant:
    string: 3 * n <= m + l && i >= 0 && (n < 0 || i <= n)
    type: assertion
    format: C

- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 3d6410b7-0121-45fe-82c2-3dacc38607e0
    creation_time: 2023-02-17T13:36:28.690069Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/nested9.i
      input_file_hashes:
        c/loop-invgen/nested9.i: f3ca1fd1ad8fdbcd9efe7b99bc6e3715231417d253ce4ee9bba3d5969472333a
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/nested9.i
    file_hash: f3ca1fd1ad8fdbcd9efe7b99bc6e3715231417d253ce4ee9bba3d5969472333a
    line: 35
    column: 0
    function: main
  loop_invariant:
    string: 3 * n <= m + l && 0 <= i && i < n && 2 * i <= j && j <= 3 * i
    type: assertion
    format: C

- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 58ad8052-6823-4d8d-996a-ae0167dc4b01
    creation_time: 2023-02-17T13:36:28.690159Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/nested9.i
      input_file_hashes:
        c/loop-invgen/nested9.i: f3ca1fd1ad8fdbcd9efe7b99bc6e3715231417d253ce4ee9bba3d5969472333a
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/nested9.i
    file_hash: f3ca1fd1ad8fdbcd9efe7b99bc6e3715231417d253ce4ee9bba3d5969472333a
    line: 38
    column: 0
    function: main
  loop_invariant:
    string: 3 * n <= m + l && 0 <= i && i < n && 2 * i <= j && j < 3 * i && i <= k && k <= j
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: bf5eb057-f0cb-41c8-96a4-a2875923d0f9
    creation_time: 2023-02-17T13:36:28.690498Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/nested9.i
      input_file_hashes:
        c/loop-invgen/nested9.i: f3ca1fd1ad8fdbcd9efe7b99bc6e3715231417d253ce4ee9bba3d5969472333a
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/nested9.i
    file_hash: f3ca1fd1ad8fdbcd9efe7b99bc6e3715231417d253ce4ee9bba3d5969472333a
    line: 38
    column: 0
    function: main
  location_invariant:
    string: k - i <= 2 * n
    type: assertion
    format: C

